Cyberduck Mountain Duck CLI

#5184 closed defect (thirdparty)

FEAT incompatiblity with Microsoft FTP Service

Reported by: https://www.google.com/accounts/o8/id?id=aitoawmajmq77iwqyiixa0_gk3bxsdcpittbsuq Owned by: dkocher
Priority: normal Milestone:
Component: ftp Version: 3.6.1
Severity: major Keywords: ftp
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description (last modified by dkocher)

Since the latest update I am unable to connect to my Windows FTP server in Cyberduck. It was working fine before the update. When using Filezilla the connection goes through without a hitch.

Here is the extent of the log...

220-Microsoft FTP Service
220 FTP Server
FEAT
220-Microsoft FTP Service
220 FTP Server
FEAT

Then I get the following message in a dialog:

I/O Error: Connection Failed
Read timed out.

Change History (8)

comment:1 Changed on Sep 13, 2010 at 2:20:35 PM by dkocher

  • Component changed from core to ftp
  • Resolution set to thirdparty
  • Status changed from new to closed

What is the transcript when connecting with Filezilla? Looks like a server issue as it stops responding.

comment:2 Changed on Sep 13, 2010 at 6:02:14 PM by https://www.google.com/accounts/o8/id?id=aitoawmajmq77iwqyiixa0_gk3bxsdcpittbsuq

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

Here is the log from Filezilla...

Status:	Resolving address of [serverdomain]
Status:	Connecting to [serverip]…
Status:	Connection established, waiting for welcome message...
Response:	220-Microsoft FTP Service
Response:	220 FTP Server
Command:	USER [user]
Response:	331 Password required for [user].
Command:	PASS ********
Response:	230-FTP Server
Response:	230 User [user] logged in.
Command:	SYST
Response:	215 Windows_NT
Command:	FEAT
Response:	211-FEAT
Response:	    SIZE
Response:	    MDTM
Response:	211 END
Status:	Connected
Status:	Retrieving directory listing...
Command:	PWD
Response:	257 "/[folder]" is current directory.
Command:	TYPE I
Response:	200 Type set to I.
Command:	PASV
Response:	227 Entering Passive Mode ([passivemode]).
Command:	LIST
Response:	125 Data connection already open; Transfer starting.
Response:	226 Transfer complete.
Status:	Directory listing successful

Filezilla seems to work fine.

I have received the same results from from both my work and home computers. Previous versions of Cyberduck logged into the server fine. Immediately after the 3.6.1 upgrade to Cyberduck, FTP stopped working.

comment:3 Changed on Sep 14, 2010 at 5:00:53 PM by dkocher

  • Milestone set to 3.6.2
  • Summary changed from FTP not working in 3.6.1 Update to FEAT incompatiblity with Microsoft FTP Service

The compatiblity issue seems to be that the server does not respond to FEAT before we are logged in. The issue was introduced as we are now displaying a message titled The server supports encrypted connections. Do you want to switch to FTP-SSL? if the response to FEAT contains AUTH TLS.

As a workaround disable this feature entering

defaults write ch.sudo.cyberduck connection.unsecure.switch false

in a Terminal.app window.

comment:4 Changed on Sep 14, 2010 at 5:01:39 PM by dkocher

  • Description modified (diff)

comment:5 Changed on Sep 18, 2010 at 2:17:38 PM by dkocher

  • Milestone 3.6.2 deleted
  • Priority changed from high to normal

comment:6 Changed on Nov 18, 2010 at 5:36:32 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from reopened to closed

comment:7 Changed on Feb 13, 2011 at 11:31:12 PM by cdenneen

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

It appears in the latest release of 3.8.1 this bug is still around.

I see you marked it 3 months ago as thirdparty but the fact that every other FTP client seems to work just fine, I wouldn't say its a third party fix.

Enabling this hidden feature does the trick but unsure why. The Microsoft FTP server I am unsure of the version number. Not sure if it only happens against older versions of IIS or current but it definitely still happens.

As ticket:5138 says to disable this feature all together you can run this above Terminal command but should this be turned into a checkbox in the preferences?

comment:8 Changed on Feb 24, 2011 at 5:41:41 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from reopened to closed

The server should return 500 or something but not just close the connection.

Note: See TracTickets for help on using tickets.
swiss made software